Bug 161888 - Bad: mount, nfsroot mode 0750
Bad: mount, nfsroot mode 0750
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-28 02:42 EDT by Andrey
Modified: 2008-02-17 01:19 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-17 01:19:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrey 2005-06-28 02:42:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ru-RU; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
FedoraCore4 Bad: mount mode 0750.
nfs-utils-1.0.7-8

FedoraCore3 Good: mount mode 0775.
nfs-utils-1.0.6-52


Version-Release number of selected component (if applicable):
nfs-utils-1.0.7-8

How reproducible:
Always

Steps to Reproduce:
From server 10.0.0.10 (Fedora Core4):
mkdir -p /opt/nfs/root/{home,sbin,bin,lib,usr}
mount --bind /bin /opt/nfs/root/bin
mount --bind /sbin /opt/nfs/root/sbin
mount --bind /lib /opt/nfs/root/lib
mount --bind /usr /opt/nfs/root/usr
mount --bind /home /opt/nfs/root/home

cat /etc/exportfs

/home/nfs/root            *(rw,fsid=0,insecure,no_subtree_check,sync,no_root_squash)
/home/nfs/root/bin        *(ro,nohide,insecure,no_subtree_check,sync,root_squash,anonuid=65534,anongid=65534)
/home/nfs/root/home       *(rw,nohide,insecure,no_subtree_check,sync,no_root_squash,anonuid=65534,anongid=65534)
/home/nfs/root/lib        *(ro,nohide,insecure,no_subtree_check,sync,root_squash,anonuid=65534,anongid=65534)
/home/nfs/root/sbin       *(ro,nohide,insecure,no_subtree_check,sync,root_squash,anonuid=65534,anongid=65534)
/home/nfs/root/usr        *(ro,nohide,insecure,no_subtree_check,sync,root_squash,anonuid=65534,anongid=65534)

service portmap nfslock nfs start

From client:
mount 10.0.0.10:/opt/nfs/root /mnt/nfs
ls -la /mnt/nfs
drwxr-x---  17 root   root   4096 Jun 28 14:25 nfs
umount nfs

mount 10.0.0.5:/opt/nfs/root /mnt/nfs
ls -la /mnt/nfs
drwxr-xr-x  17 root   root   4096 Jun 28 15:36 nfs

server 10.0.0.5 - (Fedora Core3)


Additional info:
Comment 1 Christian Iseli 2007-01-22 05:42:23 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-02-17 01:19:45 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.